Bug 135925

Summary: [CSS Shapes] Positioned polygon reftests failing
Product: WebKit Reporter: Rebecca Hauck <rhauck>
Component: Tools / TestsAssignee: Zoltan Horvath <zoltan>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, esprehn+autocc, glenn, kondapallykalyan, zoltan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Rebecca Hauck 2014-08-13 19:16:15 PDT
The following tests in imported from the W3C CSS Shapes test suite are failing with ref mismatches.  It appears it may be line height issues, but more investigation is needed.

LayoutTests/css3/shapes/shape-outside/supported-shapes/polygon/shape-outside-polygon-012.html
LayoutTests/css3/shapes/shape-outside/supported-shapes/polygon/shape-outside-polygon-013.html
LayoutTests/css3/shapes/shape-outside/supported-shapes/polygon/shape-outside-polygon-014.html
LayoutTests/css3/shapes/shape-outside/supported-shapes/polygon/shape-outside-polygon-015.html

If it turns out this is just an issue with the tests, they need to be updated in the W3C test repo then re-imported.
Comment 1 Zoltan Horvath 2014-08-25 09:20:10 PDT
Created attachment 237089 [details]
Patch
Comment 2 Zoltan Horvath 2014-08-25 09:27:31 PDT
Created attachment 237090 [details]
Patch
Comment 3 Dave Hyatt 2014-08-26 12:04:25 PDT
Comment on attachment 237090 [details]
Patch

r=me
Comment 4 WebKit Commit Bot 2014-08-26 13:13:14 PDT
Comment on attachment 237090 [details]
Patch

Clearing flags on attachment: 237090

Committed r172973: <http://trac.webkit.org/changeset/172973>
Comment 5 WebKit Commit Bot 2014-08-26 13:13:18 PDT
All reviewed patches have been landed.  Closing bug.